using System.Text.Json.Serialization;
using salesbook.Shared.Core.Entity;

namespace salesbook.Shared.Core.Dto;

public class SettingsResponseDTO
{
    [JsonPropertyName("activityTypes")]
    public List<StbActivityType>? ActivityTypes { get; set; }

    [JsonPropertyName("activityTypeUsers")]
    public List<SrlActivityTypeUser>? ActivityTypeUsers { get; set; }

    [JsonPropertyName("activityResults")]
    public List<StbActivityResult>? ActivityResults { get; set; }

    [JsonPropertyName("stbUsers")]
    public List<StbUser>? StbUsers { get; set; }

    [JsonPropertyName("vtbTipi")]
    public List<VtbTipi>? VtbTipi { get; set; }

    [JsonPropertyName("nazioni")]
    public List<Nazioni>? Nazioni { get; set; }
}